{% extends 'base.html.twig' %}

{% block stylesheets %}
  <link rel="stylesheet" href="{{ asset('/compiled/assets/styles.css') }}" />
{% endblock %}

{% block javascripts %}
  <script src="{{ asset('/compiled/assets/scripts.js') }}"></script>
{% endblock %}

{% block title %}{{ 'common.project'|trans }}{% endblock %}

{% block body %}
  <div class="top-bar header">
    <div class="top-bar-left">
      <ul class="menu">
        <li class="menu-text">{{ 'common.project'|trans }}</li>
        {% if is_granted('ROLE_TASK') %}<li><a href="{{ path('task') }}">{{ 'task.title'|trans }}</a></li>{% endif %}
        {% if is_granted('ROLE_USER') %}<li><a href="{{ path('user') }}">{{ 'user.title'|trans }}</a></li>{% endif %}
        {% if is_granted('ROLE_GROUP') %}<li><a href="{{ path('group') }}">{{ 'group.title'|trans }}</a></li>{% endif %}
        {% if is_granted('ROLE_LOG') %}<li><a href="{{ path('log') }}">{{ 'log.title'|trans }}</a></li>{% endif %}
      </ul>
    </div>
    {% if is_granted('IS_AUTHENTICATED_FULLY') %}
      <div class="top-bar-right">
        <ul class="menu">
          <li class="menu-text">{{ app.user.name }}</li>
          <li><a href="{{ path('logout') }}">{{ 'security.logout'|trans }}</a></li>
        </ul>
      </div>
    {% endif %}
  </div>

  {% if app.session.flashBag.peekAll|length %}
    <div class="columns row expanded flashes">
      {% for type, flash_messages in app.session.flashBag.all %}
        {% for flash_message in flash_messages %}
          {% if type == 'notice' %}
            {% set type_class = 'primary' %}
          {% elseif type == 'warning'%}
            {% set type_class = 'warning' %}
          {% elseif type == 'error' %}
            {% set type_class = 'alert' %}
          {% else %}
            {% set type_class = 'primary' %}
          {% endif %}
          <div class="callout {{ type_class }}">
            {{ flash_message }}
          </div>
        {% endfor %}
      {% endfor %}
    </div>
  {% endif %}

  <div class="columns row expanded content">
    {% block content %}{% endblock %}
  </div>
{% endblock %}
